# Generated by Django 3.2.9 on 2021-12-05 02:39

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Watchlist',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='WatchlistFilm',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('skor_ulasan', models.IntegerField(default=0, validators=[django.core.validators.MaxValueValidator(10), django.core.validators.MinValueValidator(1)])),
                ('status_menonton', models.BooleanField(default=False)),
                ('jml_episode_tertonton', models.IntegerField(default=0)),
                ('watchlist', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='watchlist.watchlist')),
            ],
        ),
    ]
